com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum HostFilter.Type

- java.lang.Object
- - java.lang.Enum<HostFilter.Type>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.HostFilter.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HostFilter.Type>
  Enclosing class:
    HostFilter

      public static enum HostFilter.Type
      extends java.lang.Enum<HostFilter.Type>

  Host Filter Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_HOSTS` Include all hosts.
    `HOST` Include only a specific host.
    `HOSTS_IN_GROUP_AND_ALL_SUBGROUPS` Include all hosts in a specific host group or sub-groups.
    `HOSTS_IN_HOSTGROUP` Include all hosts in a specific host group.
    `HOSTS_IN_SMART_FOLDER` Include all hosts in a smart folder.
    `HOSTS_USING_POLICY` Include all hosts using a specific security policy.
    `HOSTS_USING_POLICY_OR_DESCENDANT` Include all hosts using a specific security policy or descendant policies.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HostFilter.Type` | `forValue(int value)`
    `int` | `getValue()`
    `boolean` | `usesHostGroupID()`
    `boolean` | `usesHostID()`
    `boolean` | `usesPolicyID()`
    `boolean` | `usesSmartFolderID()`
    `static HostFilter.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HostFilter.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOST

          public static final HostFilter.Type HOST

      Include only a specific host. This option requires the `hostID` value to identify the host.

    - #### ALL_HOSTS

          public static final HostFilter.Type ALL_HOSTS

      Include all hosts.

    - #### HOSTS_IN_HOSTGROUP

          public static final HostFilter.Type HOSTS_IN_HOSTGROUP

      Include all hosts in a specific host group. This option requires the `hostGroupID` value to identify the host group.

    - #### HOSTS_IN_GROUP_AND_ALL_SUBGROUPS

          public static final HostFilter.Type HOSTS_IN_GROUP_AND_ALL_SUBGROUPS

      Include all hosts in a specific host group or sub-groups. This option requires the `hostGroupID`. value to identify the top-level host group.

    - #### HOSTS_USING_POLICY

          public static final HostFilter.Type HOSTS_USING_POLICY

      Include all hosts using a specific security policy. This option requires the `policyID` value to identify the policy.

    - #### HOSTS_USING_POLICY_OR_DESCENDANT

          public static final HostFilter.Type HOSTS_USING_POLICY_OR_DESCENDANT

      Include all hosts using a specific security policy or descendant policies. This option requires the `policyID` value to identify the top-level policy.

    - #### HOSTS_IN_SMART_FOLDER

          public static final HostFilter.Type HOSTS_IN_SMART_FOLDER

      Include all hosts in a smart folder. This option requires the `smartFolderID` value to identify the smart folder.

  - ### Method Detail

    - #### values

          public static HostFilter.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HostFilter.Type c : HostFilter.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HostFilter.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### usesHostID

          public boolean usesHostID()

    - #### usesHostGroupID

          public boolean usesHostGroupID()

    - #### usesPolicyID

          public boolean usesPolicyID()

    - #### usesSmartFolderID

          public boolean usesSmartFolderID()

    - #### forValue

          public static HostFilter.Type forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.